Bug 859381 - AttributeError: 'NoneType' object has no attribute 'type'
AttributeError: 'NoneType' object has no attribute 'type'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Linux
high Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 07:31 EDT by Jan Stodola
Modified: 2014-02-05 07:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:14:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-09-21 07:31:57 EDT
Description of problem:

anaconda 18.8 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1450, in sanityCheck
    root.type == 'lvmlv' and not root.singlePV:
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 251, in checkStorage
    StorageChecker.warnings) = self.storage.sanityCheck()
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 87, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'NoneType' object has no attribute 'type'


Version-Release number of selected component (if applicable):
anaconda 18.8

How reproducible:
always

Steps to Reproduce:
1. Install RHEL-5, select autopartitioning, use all available devices (9 DASD drives in this case). Following partitioning was created:

[root@rtt5 ~]# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/dasda1 on /boot type ext3 (rw)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
[root@rtt5 ~]# pvs
  PV          VG         Fmt  Attr PSize PFree
  /dev/dasda2 VolGroup00 lvm2 a--  9.06G    0 
  /dev/dasdb1 VolGroup00 lvm2 a--  9.16G    0 
  /dev/dasdc1 VolGroup00 lvm2 a--  2.28G    0 
  /dev/dasdd1 VolGroup00 lvm2 a--  2.28G    0 
  /dev/dasde1 VolGroup00 lvm2 a--  2.28G    0 
  /dev/dasdf1 VolGroup00 lvm2 a--  2.28G    0 
  /dev/dasdg1 VolGroup00 lvm2 a--  2.28G    0 
  /dev/dasdh1 VolGroup00 lvm2 a--  2.28G    0 
  /dev/dasdi1 VolGroup00 lvm2 a--  2.28G    0 
[root@rtt5 ~]# lvs
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Convert
  LogVol00 VolGroup00 -wi-ao 32.72G                                      
  LogVol01 VolGroup00 -wi-ao  1.47G                                      
[root@rtt5 ~]# lsdasd
Bus-ID     Status      Name      Device  Type  BlkSz  Size      Blocks
==============================================================================
0.0.3061   active      dasda     94:0    ECKD  4096   9390MB    2404080
0.0.3060   active      dasdb     94:4    ECKD  4096   9390MB    2404080
0.0.3725   active      dasdc     94:8    ECKD  4096   2347MB    601020
0.0.3025   active      dasdd     94:12   ECKD  4096   2347MB    601020
0.0.3425   active      dasde     94:16   ECKD  4096   2347MB    601020
0.0.3625   active      dasdf     94:20   ECKD  4096   2347MB    601020
0.0.3325   active      dasdg     94:24   ECKD  4096   2347MB    601020
0.0.3525   active      dasdh     94:28   ECKD  4096   2347MB    601020
0.0.3225   active      dasdi     94:32   ECKD  4096   2347MB    601020

2. Start new installation of Fedora, use only two DASD drives (dev. numbers 3025 and 3225), vnc mode
3. select Storage -> Installation Destination
4. select both DASD drives, click Continue
5. select "Let me customize..." and Continue
6. traceback
  
Actual results:
traceback

Expected results:
able to customize partitioning
Comment 2 Fedora End Of Life 2013-12-21 03:54:19 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 07:14:11 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.